org.apache.sysds.runtime.controlprogram.parfor.opt

## Class OptTree

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.opt.OptTree

-     public class OptTree
      extends Object

  Represents a complete plan of a top-level parfor. This includes the internal representation of the actual current plan as well as additional meta information that are only kept once per program instead of for each and every plan alternative.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptTree(int ck, double cm, Optimizer.PlanInputType type, OptNode node)`
    `OptTree(int ck, double cm, OptNode node)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `explain(boolean withDetails)` Explain tool: prints the hierarchical plan (including all available detail information, if necessary) to `stdout`.
    `int` | `getCK()`
    `double` | `getCM()`
    `Optimizer.PlanInputType` | `getPlanInputType()`
    `OptNode` | `getRoot()`
    `void` | `setPlanInputType(Optimizer.PlanInputType type)`
    `void` | `setRoot(OptNode n)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OptTree

          public OptTree(int ck,
                         double cm,
                         OptNode node)

    - #### OptTree

          public OptTree(int ck,
                         double cm,
                         Optimizer.PlanInputType type,
                         OptNode node)

  - ### Method Detail

    - #### getCK

          public int getCK()

    - #### getCM

          public double getCM()

    - #### getPlanInputType

          public Optimizer.PlanInputType getPlanInputType()

    - #### setPlanInputType

          public void setPlanInputType(Optimizer.PlanInputType type)

    - #### getRoot

          public OptNode getRoot()

    - #### setRoot

          public void setRoot(OptNode n)

    - #### explain

          public String explain(boolean withDetails)

      Explain tool: prints the hierarchical plan (including all available detail information, if necessary) to `stdout`.
      Parameters:
        `withDetails` - if true, include explain details
      Returns:
        string explanation

Copyright © 2020 The Apache Software Foundation. All rights reserved.